var xmlHttp;

function createXMLHttpRequest()
{
	//创建一个xmlHttpRequest对象
	if(xmlHttp) xmlHttp = null;
	if (window.ActiveXObject)
	{
		xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
    }
    else if (window.XMLHttpRequest)
	{
		xmlHttp = new XMLHttpRequest();
    }
}

function handleStateChange()
{
	if(xmlHttp.readystate == 4)
	{
		//表示请求状态 4为完成
		if(xmlHttp.status == 200)
		{
			//http状态指示码，200表示ok
			if(document.getElementById("AjaxContentDiv"))
			document.getElementById("AjaxContentDiv").innerHTML = xmlHttp.responseText;		//将服务器返回信息作为文本插入到infoId指示的容器中。
		}
	}
	else
	{
		if(document.getElementById("AjaxContentDiv"))
		document.getElementById("AjaxContentDiv").innerHTML = "loading...";					//若响应未完成的话，则显示loading..也就是搂主你要的效果了
	}
}

//异步提交表单
function dealAct(url)
{
    createXMLHttpRequest();
	xmlHttp.onreadystatechange = handleStateChange;											//请求状态改变事件触发handleStateChange功能
    xmlHttp.open("GET",url,true);															//采用get方法提交数据
    xmlHttp.send(null);
}